Katello pages do not highlight upper level navigation tabs
Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web Interface   

Target version: 1.6.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1117469 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1572

  

Description

There is an inconsistency whereby Katello pages do not highlight the upper level navigation tabs but Foreman pages do.

Associated revisions

Revision 357d3dec - 07/15/2014 08:57 AM - Walden Raines

Fixes #6057: highlight active tab based on current URL.

Highlight the active menu tab based on the current URL

rather than relying on the controller and action.  This

fixes a problem where top level menus that contain plugin

menu items were not being highlighted when active.

http://projects.theforeman.org/issues/6057

History

#1 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#2 - 07/07/2014 07:45 AM - Eric Helms

- Target version changed from 48 to 49

#3 - 07/07/2014 12:20 PM - Walden Raines

- Status changed from New to Assigned

#4 - 07/08/2014 02:54 PM - Walden Raines

- Bugzilla link set to 1117469

#5 - 07/08/2014 03:11 PM - Walden Raines

- Project changed from Katello to Foreman

- Category changed from Web UI to Web Interface

- Status changed from Assigned to Ready For Testing

- Target version changed from 49 to 1.8.0

- Difficulty set to easy

https://github.com/theforeman/foreman/pull/1572

#6 - 07/15/2014 08:57 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1572 added

#7 - 07/15/2014 09:01 AM - Walden Raines

05/11/2024 1/2

http://projects.theforeman.org/issues/6057
https://github.com/theforeman/foreman/pull/1572


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 357d3decc238fc67f7f85d0347a55600f3f5354a.

#8 - 07/21/2014 04:46 AM - Dominic Cleal

- translation missing: en.field_release set to 10
